
Figure - Bug #118599
IOVDEV-33049【内部】【VC1】【0106】【台架】【EE环境】【副屏】副屏在edge浏览器界面发生冻屏现象
2023-06-07 10:12 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230607  8点57分（第268次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

副屏安装了十几个应用（27个支持的应用，比如QQ、QQ音乐HD、今日头条、企业微信、哔哩哔哩HD、应用宝、微信、快手、抖音、

斗鱼、网易云音乐、网易新闻、腾讯视频、芒果TV、酷狗音乐、飞书等）

1.副屏依次打开桌面上的应用，

2.打开Edge浏览器后选择其中一个页面进行浏览

【实际结果】

Edge浏览器界面发生冻屏，不响应操作。--5分钟后恢复

【期望结果】

副屏正常响应操作，无冻屏现象

【备注】：

车架号VIN：HRYTTESTVINMGM400，可从云端获取日志

副屏log地址：https://ofs.human-horizons.com/#/download/index/wLd63IbC53M%3D

【影响版本】：副屏：01.00.0106.c104，中控：03.02.0088.c103

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 118503: 【IOVDEV-32511】【内部】【VC1】... CLOSED 2023-06-05

History

#1 - 2023-06-07 10:18 - CD TEST-方永红

- File 1686104230358.zip added

#2 - 2023-06-07 10:37 - CD TEST-方永红

- File 0857edge浏览器界面冻屏5分钟.7z added

#3 - 2023-06-07 11:38 - CD FW 曹覃刚
https://ofs.human-horizons.com/#/download/index/wLd63IbC53M%3D


- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

Hi 永红

■ 我的分析

----------------------------

06-07 08:57:03.464  1547 10274 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.microsoft.emmx/com.microsoft.ruby.Main bnds=[1926,692][2226,990]} from uid 10078

//08:57:03进入edge浏览器

06-07 08:57:04.756  1547  1679 I am_meminfo: [2286985216,267972608,83656704,551780352,379863040]

//剩余内存两百多M，总的8G，内存使用率也比较高

06-07 08:57:23.155  1903  1903 D ViewTouchDebug: mView : com.android.systemui.navigationbar.NavigationBarFrame{caf7508 V.E...... ........ 0,0-2560,46 #7f0b03f2

app:id/navigation_bar_frame}Receive event : MotionEvent { action=ACTION_OUTSIDE, actionButton=0, id0=0, x0=0.0, y0=-1034.0, toolType0

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=373054,

downTime=373054, deviceId=3, source=0x5002, displayId=0, eventId=1568719454 }

//08:57:23最后一次收到触摸事件

06-07 08:57:42.911  2688  2688 I auditd  : type=1400 audit(0.0:98961145): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-07 08:57:42.911  2688  2688 I auditd  : type=1400 audit(0.0:98961146): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-07 08:57:42.911  2688  2688 I auditd  : type=1400 audit(0.0:98961147): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

//08:57 时间附近疯狂在打hht_ota_mgr的avc日志，持续了好几分钟

06-07 08:59:23.990  1547 14837 E ActivityManager: ANR in com.tencent.android.qqdownloader:live

06-07 08:59:23.990  1547 14837 E ActivityManager: PID: 11077

06-07 08:59:23.990  1547 14837 E ActivityManager: Reason: executing service com.tencent.android.qqdownloader/com.live.sync.YYBLiveSyncService

06-07 08:59:23.990  1547 14837 E ActivityManager: Frozen: false

06-07 08:59:23.990  1547 14837 E ActivityManager: Load: 0.0 / 0.0 / 0.0

06-07 08:59:23.990  1547 14837 E ActivityManager: ----- Output from /proc/pressure/memory -----

06-07 08:59:23.990  1547 14837 E ActivityManager: some avg10=4.71 avg60=1.07 avg300=0.36 total=2190312

06-07 08:59:23.990  1547 14837 E ActivityManager: full avg10=2.17 avg60=0.40 avg300=0.08 total=702630

06-07 08:59:23.990  1547 14837 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-07 08:59:23.990  1547 14837 E ActivityManager: 

06-07 08:59:23.990  1547 14837 E ActivityManager: CPU usage from 197149ms to 252001ms later (2023-06-07 09:01:23.263 to 2023-06-07 08:59:23.930):

06-07 08:59:23.990  1547 14837 E ActivityManager:   99% 2688/hht_ota_mgr: 40% user + 58% kernel / faults: 2 minor

06-07 08:59:23.990  1547 14837 E ActivityManager:   5.2% 7133/com.tencent.mm: 3.2% user + 2% kernel / faults: 4994 minor

06-07 08:59:23.990  1547 14837 E ActivityManager:   4.7% 12559/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0:

3.1% user + 1.6% kernel / faults: 868 minor

06-07 08:59:23.990  1547 14837 E ActivityManager:   2.5% 1547/system_server: 1.7% user + 0.7% kernel / faults: 6336 minor 1 major

06-07 08:59:23.990  1547 14837 E ActivityManager:   2.3% 989/surfaceflinger: 0.9% user + 1.3% kernel / faults: 140 minor

//ANR 1, 从trace看，无明显异常，CPU使用率也良好，唯一异常的点在于hht_ota_mgr的cpu使用率拉的很高

06-07 08:59:24.345  1547 14837 E ActivityManager: ANR in com.tencent.mobileqq:MSF

06-07 08:59:24.345  1547 14837 E ActivityManager: PID: 5593

06-07 08:59:24.345  1547 14837 E ActivityManager: Reason: Broadcast of Intent { act=com.tencent.mobileqq:MSF_267634218 flg=0x10 }

06-07 08:59:24.345  1547 14837 E ActivityManager: Frozen: false

06-07 08:59:24.345  1547 14837 E ActivityManager: Load: 0.0 / 0.0 / 0.0

06-07 08:59:24.345  1547 14837 E ActivityManager: ----- Output from /proc/pressure/memory -----
#fn0
#fn0
#fn0
#fn0


06-07 08:59:24.345  1547 14837 E ActivityManager: some avg10=7.30 avg60=1.51 avg300=0.47 total=3203598

06-07 08:59:24.345  1547 14837 E ActivityManager: full avg10=2.70 avg60=0.57 avg300=0.15 total=1155478

06-07 08:59:24.345  1547 14837 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-07 08:59:24.345  1547 14837 E ActivityManager: 

06-07 08:59:24.345  1547 14837 E ActivityManager: CPU usage from 54916ms to 64ms ago (2023-06-07 09:01:23.263 to 2023-06-07 08:59:23.930):

06-07 08:59:24.345  1547 14837 E ActivityManager:   99% 2688/hht_ota_mgr: 40% user + 58% kernel / faults: 2 minor

06-07 08:59:24.345  1547 14837 E ActivityManager:   5.2% 7133/com.tencent.mm: 3.2% user + 2% kernel / faults: 4994 minor

06-07 08:59:24.345  1547 14837 E ActivityManager:   4.7% 12559/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0:

3.1% user + 1.6% kernel / faults: 868 minor

06-07 08:59:24.345  1547 14837 E ActivityManager:   2.5% 1547/system_server: 1.7% user + 0.7% kernel / faults: 6336 minor 1 major

06-07 08:59:24.345  1547 14837 E ActivityManager:   2.3% 989/surfaceflinger: 0.9% user + 1.3% kernel / faults: 140 minor

//ANR 2, 从trace看，无明显异常，CPU使用率也良好，唯一异常的点在于hht_ota_mgr的cpu使用率拉的很高

06-07 08:59:27.872  1547 14837 E ActivityManager: ANR in com.tencent.mm

06-07 08:59:27.872  1547 14837 E ActivityManager: PID: 7133

06-07 08:59:27.872  1547 14837 E ActivityManager: Reason: Broadcast of Intent { act=com.tencent.mm.plugin.report.service.KVCommCrossProcessReceiver flg=0x10

cmp=com.tencent.mm/.plugin.report.service.KVCommCrossProcessReceiver (has extras) }

06-07 08:59:27.872  1547 14837 E ActivityManager: Frozen: false

06-07 08:59:27.872  1547 14837 E ActivityManager: Load: 0.0 / 0.0 / 0.0

06-07 08:59:27.872  1547 14837 E ActivityManager: ----- Output from /proc/pressure/memory -----

06-07 08:59:27.872  1547 14837 E ActivityManager: some avg10=7.30 avg60=1.51 avg300=0.47 total=3205449

06-07 08:59:27.872  1547 14837 E ActivityManager: full avg10=2.70 avg60=0.57 avg300=0.15 total=1156102

06-07 08:59:27.872  1547 14837 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-07 08:59:27.872  1547 14837 E ActivityManager: 

06-07 08:59:27.872  1547 14837 E ActivityManager: CPU usage from 55268ms to 416ms ago (2023-06-07 09:01:23.263 to 2023-06-07 08:59:23.930):

06-07 08:59:27.872  1547 14837 E ActivityManager:   99% 2688/hht_ota_mgr: 40% user + 58% kernel / faults: 2 minor

06-07 08:59:27.872  1547 14837 E ActivityManager:   5.2% 7133/com.tencent.mm: 3.2% user + 2% kernel / faults: 4994 minor

06-07 08:59:27.872  1547 14837 E ActivityManager:   4.7% 12559/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0:

3.1% user + 1.6% kernel / faults: 868 minor

06-07 08:59:27.872  1547 14837 E ActivityManager:   2.5% 1547/system_server: 1.7% user + 0.7% kernel / faults: 6336 minor 1 major

06-07 08:59:27.872  1547 14837 E ActivityManager:   2.3% 989/surfaceflinger: 0.9% user + 1.3% kernel / faults: 140 minor

06-07 08:59:27.872  1547 14837 E ActivityManager:   2.3% 14211/com.microsoft.emmx: 1.5% user + 0.8% kernel / faults: 15537 minor 1 major

06-07 08:59:27.872  1547 14837 E ActivityManager:   1.7% 3954/com.qiyi.video: 0.5% user + 1.1% kernel / faults: 1130 minor

//ANR 3, 从trace看，无明显异常，CPU使用率也良好，唯一异常的点在于hht_ota_mgr的cpu使用率拉的很高

----------------------------

结合上述日志信息

问题发生时

1.内存占用较高

2.整体CPU使用率良好，但是hht_ota_mgr的cpu使用率拉的很高

3.一直在打印hht_ota_mgr的avc日志

综上，应该是hht_ota_mgr在做什么处理，导致系统响应缓慢，以至于无响应

■ 下一步计划

需要客户那边的同事帮忙看下hht_ota_mgr的异常行为

请帮助同步此信息，谢谢

#4 - 2023-07-10 16:47 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to FIXED
7.10

客户验证通过、同步关闭

#5 - 2023-07-10 16:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-10 16:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

8点57分副屏edge浏览器冻屏.mp4 4.82 MB 2023-06-07 CD TEST-方永红

1686104230358.zip 5 MB 2023-06-07 CD TEST-方永红

0857edge浏览器界面冻屏5分钟.7z 350 KB 2023-06-07 CD TEST-方永红
